Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		xscreensaver
Version:	5.04
Release:	1
License:	GNU/GPL 
URL:		http://www.jwz.org/xscreensaver/
Group:		System/XFree86
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-4.22-desktop.patch
Patch1:		xscreensaver-gcc4.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Modular screen saver and locker for the X Window System.
BuildRequires:	atk-devel 
BuildRequires:  glibc-devel 
BuildRequires:  gtk2+-devel 
BuildRequires:  libglade-devel 
BuildRequires:  glib-devel
BuildRequires:	mesa-libGL 
BuildRequires:  mesa-libGLU pam 
BuildRequires:  libjpeg-devel 
BuildRequires:  pango-devel
BuildRequires:  bc
BuildRequires:  perl
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  libXxf86misc-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  cairo-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  pam-devel
Obsoletes:	%{name}-doc
BuildConflicts: xorg-x11-drv-nvidia xorg-x11-drv-fglrx xorg-x11-drv-nvidia-legacy xorg-x1-drv-nvidia-legacy96xx

%description
XScreenSaver is a modular screen saver and locker for the X Window System.
It is highly customizable and allows the use of any program that can draw on the
root window as a display mode. More than 190 display modes are included in this package.
For more details see: http://www.jwz.org/xscreensaver/

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -desktop
%patch1 -p1
if [ -x %_datadir/libtool/config.guess ]; then
  # use system-wide copy
  cp -p %_datadir/libtool/config.{sub,guess} .
fi

%build
archdir=`./config.guess`
mkdir $archdir
cd $archdir
ln -s ../configure .
./configure --prefix=%_prefix \
--libexecdir=%_libdir \
--with-pam \
--without-shadow \
--without-kerberos \
--with-setuid-hacks \
--enable-locking --without-pixbuf
rm -f configure
make

%install
archdir=`./config.guess`
cd $archdir
rm -rf ${RPM_BUILD_ROOT}

# We have to make sure these directories exist,
# or nothing will be installed into them.
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_datadir/xscreensaver,%_libdir/xscreensaver,%_mandir/man1,%_sysconfdir/pam.d}
make install_prefix=$RPM_BUILD_ROOT install
#desktop-file-install --vendor=gnome --dir $RPM_BUILD_ROOT%_datadir/applications \
#$RPM_BUILD_ROOT%_datadir/applications/*.desktop

# Make sure all files are readable by all, and writable only by owner.
chmod -R a+r,u+w,og-w ${RPM_BUILD_ROOT}

# Removing old .desktop
#rm -f $RPM_BUILD_ROOT%_datadir/applications/gnome*.desktop

%files
%defattr(-,root,root)
%config %_sysconfdir/pam.d/xscreensaver
%config %_prefix/lib/X11/app-defaults/XScreenSaver
%_bindir
%_libdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 14 2008 Christian Metzen <metzench@ccux-linux.de> 5.04-1
- Version update, added BuildConflicts for correct linking against libGL.so.1 from mesa
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.01-1
- Version update
- built against X.org 7.1.1
* Sat Oct 22 2005 Christian Metzen <metzench@ccux-linux.de> 4.23-1
- Version update
* Wed Oct 05 2005 Christian Wasem <wasem@ccux-linux.de> 4.22-2
- added .desktop patch
* Tue Sep 20 2005 Christian Wasem <wasem@ccux-linux.de> 4.22-1
- Update to Version 4.22
